Bug 1531541 - python-websocket-client: python3-websocket-client requires both Python 2 and Python 3
Summary: python-websocket-client: python3-websocket-client requires both Python 2 and ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-websocket-client
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE PYTHON3-PYTHON2 1560529
TreeView+ depends on / blocked
 
Reported: 2018-01-05 13:11 UTC by Iryna Shcherbina
Modified: 2018-05-01 13:57 UTC (History)
2 users (show)

Fixed In Version: python-websocket-client-0.47.0-1.fc28 python-websocket-client-0.47.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-01 00:43:53 UTC


Attachments (Terms of Use)
Fix Python 2 dependency from Python 3 subpackage (1.48 KB, application/mbox)
2018-01-05 13:11 UTC, Iryna Shcherbina
no flags Details

Description Iryna Shcherbina 2018-01-05 13:11:02 UTC
Created attachment 1377488 [details]
Fix Python 2 dependency from Python 3 subpackage

The python3-websocket-client RPM requires both Python 2 and Python 3.

python3-websocket-client contains a Python 2 executable, as it sometimes does not get overridden in the %install section [0], and thus drugs in Python 2 as a dependency:

$ dnf --disablerepo=* --enablerepo=rawhide repoquery --requires python3-websocket-client
/usr/bin/python2
python(abi) = 3.6
python3-six

I am attaching a simple patch to fix this issue. I would create a Pagure PR, but I am not able to push to my Pagure fork due to acl update for way too long.

[0] https://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#install

Comment 1 Fedora End Of Life 2018-02-20 15:38:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Jan Beran 2018-03-26 11:29:06 UTC
Hi Ralph,

I have created a PR that fixes the issue and provides new version 0.47.0:

https://src.fedoraproject.org/rpms/python-websocket-client/pull-request/3

May I ask to review the patch and rebuild the package?

Comment 3 Fedora Update System 2018-03-26 14:03:52 UTC
python-websocket-client-0.47.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba5009c9a0

Comment 4 Fedora Update System 2018-03-26 14:04:07 UTC
python3-websocket-client-0.47.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2ed7c3b54e

Comment 5 Fedora Update System 2018-03-26 14:04:18 UTC
python-websocket-client-0.47.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1150fce8d8

Comment 6 Fedora Update System 2018-03-26 16:03:06 UTC
python3-websocket-client-0.47.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2ed7c3b54e

Comment 7 Fedora Update System 2018-03-26 16:42:21 UTC
python-websocket-client-0.47.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1150fce8d8

Comment 8 Fedora Update System 2018-03-26 20:52:05 UTC
python-websocket-client-0.47.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba5009c9a0

Comment 9 Fedora Update System 2018-04-01 00:43:53 UTC
python-websocket-client-0.47.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-03 14:51:02 UTC
python-websocket-client-0.47.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-04-10 18:07:17 UTC
python3-websocket-client-0.47.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.